package org.dromara.system.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import org.dromara.system.domain.RegisterParents;
import org.dromara.system.domain.vo.RegisterParentsVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.Collection;

/**
 * 注册-家长Mapper接口
 *
 * @author Lion Li
 * @date 2023-08-16
 */
public interface RegisterParentsMapper extends BaseMapperPlus<RegisterParents, RegisterParentsVo> {

    @InterceptorIgnore(tenantLine = "1")
    RegisterParentsVo selectRegisterParentsByOppenId(String oppenId);

    @InterceptorIgnore(tenantLine = "1")
    RegisterParentsVo selectRegisterParentsByPhonenumber(String phonenumber);

    @InterceptorIgnore(tenantLine = "1")
    Long updateMapperById(RegisterParents update);

    @InterceptorIgnore(tenantLine = "1")
    Long deleteMapperBatchIds(Collection<Long> ids);

    @InterceptorIgnore(tenantLine = "1")
    RegisterParentsVo selectMapperById(Long id);
}
